Subject: Re: [RFC 3/3] zImage: Exception vector support

From: Geoff Levand <[email-masked]>
Date: Mon, 19 Feb 2007 07:03:05 -0800

Josh Boyer wrote:
> On Sat, Feb 17, 2007 at 05:17:08PM -0800, Geoff Levand wrote:
>> Add SMP exception vector support to the powerpc zImage bootwrapper.  For
>> platforms which have entry points in the vector table.  This implements
>> SMP entry via the system reset vector.
>> 
>> Signed-off-by: Geoff Levand <[email-masked]>
>> 
>> ---
>>  arch/powerpc/boot/head.S       |   96 +++++++++++++++++++++++++++++++++++++++++
>>  arch/powerpc/boot/zImage.lds.S |    2 
> 
> This one seems pretty PS3 specific, and there's no makefile entry to actually
> compile it...  Could we name it head_ps3.S or something similar?
> 
> Or am I misunderstanding the code and it's really generic to most SMP
> machines (which would make a case to arguably call it head_smp.S).

No, its not platform specific nor SMP specific, it should work
with all SMP and UP platforms that need this kind of support.

-Geoff